# Mutex::destroy

(PECL pthreads < 3.0.0)

Mutex::destroy — Destroy Mutex

Warning

The Mutex class has been removed in pthreads v3.

### Description

final public static Mutex::destroy ( int `$mutex` ) : bool

Destroying Mutex handles must be carried out explicitly by the programmer when they are finished with the Mutex handle.

### Parameters

`mutex`

  A handle returned by a previous call to Mutex::create(). The handle should not be locked by any Thread when Mutex::destroy() is called.

### Return Values

A boolean indication of success

### Examples

Example #1 Mutex Creation and Destruction

`<?php
/** You cannot use the "new" keyword, a Mutex is not a PHP object **/
$mutex = Mutex::create();
/** You have the physical address of the Mutex **/
var_dump($mutex);
/** Always destroy mutex you have created **/
Mutex::destroy($mutex);
?>`

The above example will output:

    int(40096976)